#ifndef _FRAMEWORK_H
#define _FRAMEWORK_H
 
#include "vector.h"
#include "glincl.h"

float rotatorP;
float rotatorV;

float dist;
float zoomTo;

Uint32 lastFrame;
Uint32 currFrame;

Vector dir;
Vector up;

float matQ[4][4];

Vector M;
Vector p1;
Vector p2;
Vector rotAxis;
float rotAngle;
Quaternion rotQ;
Quaternion rotQlast;

Uint8* keys; // This variable will be used in the keyboard routine
bool mouse1Down;

bool mainLoop();
bool draw(float dt);
float tick();
bool keyHandler();

#endif /* _FRAMEWORK_H */
